Package org.codehaus.janino

# Class Java.PrimitiveType

java.lang.Object
org.codehaus.janino.Java.Located
org.codehaus.janino.Java.Atom
org.codehaus.janino.Java.Type
org.codehaus.janino.Java.PrimitiveType

All Implemented Interfaces:
  `Java.Locatable`

Enclosing class:
  `Java`

public static final class Java.PrimitiveType extends Java.Type
Representation of a JLS7 4.2 "primitive type", i.e a primitive type "usage", which has a location.

## Field Summary

Fields
Modifier and Type
Field
Description
`final Java.Primitive`
`primitive`
One of `Java.Primitive.VOID`, `Java.Primitive.BYTE` and consorts.

### Fields inherited from class org.codehaus.janino.Java.Located

`NOWHERE`

## Constructor Summary

Constructors
Constructor
Description
`PrimitiveType(Location location, Java.Primitive primitive)`

## Method Summary

Modifier and Type
Method
Description
`<R, EX extends Throwable>
R`
`accept(Visitor.AtomVisitor<R,EX> visitor)`
Invokes the "`visit...()`" method of `Visitor.AtomVisitor` for the concrete `Java.Atom` type.
`<R, EX extends Throwable>
R`
`accept(Visitor.TypeVisitor<R,EX> visitor)`
Invokes the "`visit...()`" method of `Visitor.TypeVisitor` for the concrete `Java.Type` type.
`String`
`toString()`

### Methods inherited from class org.codehaus.janino.Java.Type

`getEnclosingScope, setEnclosingScope, toType`

### Methods inherited from class org.codehaus.janino.Java.Atom

`toLvalue, toLvalueOrCompileException, toRvalue, toRvalueOrCompileException, toTypeOrCompileException`

### Methods inherited from class org.codehaus.janino.Java.Located

`getLocation, throwCompileException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### primitive

public final Java.Primitive primitive
One of `Java.Primitive.VOID`, `Java.Primitive.BYTE` and consorts.

## Constructor Details

### PrimitiveType

public PrimitiveType(Location location, Java.Primitive primitive)

## Method Details

### toString

public String toString()

Specified by:
  `toString` in class `Java.Atom`

### accept

@Nullable public <R, EX extends Throwable> R accept(Visitor.TypeVisitor<R,EX> visitor) throws EX
Description copied from class: `Java.Type`
Invokes the "`visit...()`" method of `Visitor.TypeVisitor` for the concrete `Java.Type` type.

Specified by:
  `accept` in class `Java.Type`
Throws:
  `EX`

### accept

@Nullable public <R, EX extends Throwable> R accept(Visitor.AtomVisitor<R,EX> visitor) throws EX
Description copied from class: `Java.Atom`
Invokes the "`visit...()`" method of `Visitor.AtomVisitor` for the concrete `Java.Atom` type.

Specified by:
  `accept` in class `Java.Atom`
Throws:
  `EX`